header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired
Example
{"leave_reason_id":3,"start_date":"2026-10-10","end_date":"2026-10-12","description":"Family function, need to travel out of town.",//nullable field"attachment"://nullable field}
Request Code Samples
Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl--location'https://apidev.edufee.online/api/hr-leave-applications' \
--header'Authorization: Bearer <token>' \
--header'Content-Type: application/json' \
--data'{
"leave_reason_id": 3,
"start_date": "2026-10-10",
"end_date": "2026-10-12",
"description": "Family function, need to travel out of town.", //nullable field
"attachment": //nullable field
}'